---
// export interface Props {
// 	companyName: string;
//     companuNumber: number;
//     typeOfOrganization: string;
//     typeOfCorporation: string;
//     status: string;
//     occupation: string;
//     objectives: string;
//     govt: string;
//     restrictions: string;
//     incorporation: string;
//     address: string;
//     phone: number;
// }
const {companyData}=Astro.props;
---

<div class="grid lg:grid-cols-2 md:grid-cols-1 grid-cols-1 gap-4">
    <div>
        <div class="grid md:grid-cols-2">
            <div class="lg:col-span-2 md:col-span-2 my-10 ">
                <h1 class="font-semibold text-2xl leading leading-8 text-darkBlue">
                    General Information
                </h1>
            </div>
            <div class="border-b pb-3">
                <p class="text-base font-semibold text-black leading-6 mb-2">
                    Company Name
                </p>
                <p class="font-normal text-base leading-6 text-black">
                    {companyData.companyName}
                </p>
            </div>
            <div class="border-b mt-8 md:mt-0 pb-3">
                <p class="text-base font-semibold text-black leading-6 mb-2">
                    Company Number
                </p>
                <p class="font-normal text-base leading-6 text-black">
                    {companyData.companuNumber}
                </p>
            </div>
            <div class="mt-8 border-b pb-3">
                <p class="text-base font-semibold text-black leading-6 mb-2">
                    Type of organization
                </p>
                <p class="font-normal text-base leading-6 text-black">
                    {companyData.typeOfOrganization}
                </p>
            </div>
            <div class="mt-8 border-b pb-3">
                <p class="text-base font-semibold text-black leading-6 mb-2">
                    Type of corporation
                </p>
                <p class="font-normal text-base leading-6 text-black">
                    {companyData.typeOfCorporation}
                </p>
            </div>
            <div class="mt-8 border-b pb-3">
                <p class="text-base font-semibold text-black leading-6 mb-2">
                    Company status
                </p>
                <p class="font-normal text-base leading-6 text-black">
                    {companyData.status}
                </p>
            </div>
            <div class="mt-8 border-b pb-3">
                <p class="text-base font-semibold text-black leading-6 mb-2">
                    Occupation
                </p>
                <p class="font-normal text-base leading-6 text-black">
                    {companyData.occupation}
                </p>
            </div>
            <div class="mt-8 border-b pb-3">
                <p class="text-base font-semibold text-black leading-6 mb-2">
                    Company objectives
                </p>
                <p class="font-normal text-base leading-6 text-black">
                    {companyData.objectives}
                </p>
            </div>
            <div class="mt-8 border-b pb-3">
                <p class="text-base font-semibold text-black leading-6 mb-2">
                    Government company
                </p>
                <p class="font-normal text-base leading-6 text-black">
                    {companyData.govt}
                </p>
            </div>
            <div class="mt-8 border-b pb-3">
                <p class="text-base font-semibold text-black leading-6 mb-2">
                    Restrictions
                </p>
                <p class="font-normal text-base leading-6 text-black">
                    {companyData.restrictions}
                </p>
            </div>
            <div class="mt-8 border-b pb-3">
                <p class="text-base font-semibold text-black leading-6 mb-2">
                    Date of incorporation
                </p>
                <p class="font-normal text-base leading-6 text-black">
                    {companyData.incorporation}
                </p>
            </div>
            <div class="mt-8 pb-3 border-b md:border-none ">
                <p class="text-base font-semibold text-black leading-6 mb-2">
                    Address
                </p>
                <p class="font-normal text-base leading-6 text-black">
                    {companyData.address}
                </p>
            </div>
            <div class="mt-8 ">
                <p class="text-base font-semibold text-black leading-6 mb-2">
                    Phone
                </p>
                <p class="font-normal text-base leading-6 text-black">
                    {companyData.phone}
                </p>
            </div>
        </div>
    </div>
    <div>
        <img src="map.png" alt="map" class="w-full md:h-[650px] mt-5 ">
    </div>
</div>
